Ubuntu one installer shows ppa errors and doesn't install

Bug #1015709 reported by Leo Arias on 2012-06-20
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
ubuntuone-installer
Undecided
dobey
ubuntuone-installer (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

TEST CASE:

See bug #853060 as the fix for that bug and this one go together.

---

On quantal, I have added the gerboland/testability ppa:
$ sudo apt-add-repository ppa:gerboland/testbaility && sudo apt-get update

It fails because it doesn't have the quantal packages.
After that, Opened Ubuntu One and tried to install it. The installer reports the ppa failure, and U1 is not installed.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: ubuntuone-installer 3.0.2-0ubuntu1
ProcVersionSignature: Ubuntu 3.4.0-5.11-generic 3.4.0
Uname: Linux 3.4.0-5-generic x86_64
ApportVersion: 2.2.3-0ubuntu4
Architecture: amd64
Date: Wed Jun 20 11:22:51 2012
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120619)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntuone-installer
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Leo Arias (elopio) wrote :
Leo Arias (elopio) wrote :
dobey (dobey) on 2012-07-03
Changed in ubuntuone-installer:
status: New → In Progress
assignee: nobody → Rodney Dawes (dobey)
Changed in ubuntuone-installer (Ubuntu):
assignee: Ubuntu One Desktop+ team (ubuntuone-desktop+) → nobody
Changed in ubuntuone-installer:
status: In Progress → Fix Committed
dobey (dobey) on 2012-08-09
Changed in ubuntuone-installer (Ubuntu Precise):
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-installer - 3.0.2-0ubuntu2

---------------
ubuntuone-installer (3.0.2-0ubuntu2) quantal; urgency=low

  * 00_system-cache-only.patch:
    - Only update cache for system sources.list. (LP: #1015709)
 -- Rodney Dawes <email address hidden> Thu, 09 Aug 2012 13:58:01 -0400

Changed in ubuntuone-installer (Ubuntu Quantal):
status: Confirmed → Fix Released

Hello Leo, or anyone else affected,

Accepted ubuntuone-installer into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntuone-installer/3.0.2-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntuone-installer (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
description: updated
Joshua Hoover (joshuahoover) wrote :

Test case passes with proposed enabled with ubuntuone-installer 3.0.2-0ubuntu1.1

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-installer - 3.0.2-0ubuntu1.1

---------------
ubuntuone-installer (3.0.2-0ubuntu1.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1018991)
    - Use a logo image with the correct dimensions. (LP: #1004003)
    - Fix the alignment of various widgets. (LP: #1004524)
    - Handle better some error conditions when installing. (LP: #853060)
  * 00_system-cache-only.patch:
    - Only update cache for system sources.list. (LP: #1015709)
 -- Rodney Dawes <email address hidden> Thu, 09 Aug 2012 14:40:34 -0400

Changed in ubuntuone-installer (Ubuntu Precise):
status: Fix Committed → Fix Released
dobey (dobey) on 2014-01-29
Changed in ubuntuone-installer:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers